Summary:       Script to configure HAProxy to do port forwarding for OpenShift Origin 
Name:          openshift-origin-port-proxy
Version:       0.2.3
Release:       1%{?dist}
Group:         Applications/Internet
License:       ASL 2.0
URL:           http://openshift.redhat.com
Source0:       https://mirror.openshift.com/pub/openshift-origin/source/%{name}/%{name}-%{version}.tar.gz 

%if 0%{?fedora} >= 16 || 0%{?rhel} >= 7
%define with_systemd 1
%else
%define with_systemd 0
%endif

Requires:      haproxy
Requires:      iproute
Requires:      initscripts
Requires:      coreutils
Requires:      sed
Requires:      util-linux-ng

%if %{with_systemd}
BuildRequires: systemd-units
Requires:  systemd-units
%endif
BuildArch:     noarch

%description
OpenShift Origin script to configure HAProxy to do port forwarding from internal
to external ports.

%prep
%setup -q

%build

%install
%if %{with_systemd}
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig/stickshift-proxy
%else
mkdir -p %{buildroot}%{_initddir}
%endif
mkdir -p %{buildroot}%{_localstatedir}/lib/stickshift/.stickshift-proxy.d
mkdir -p %{buildroot}%{_sysconfdir}/stickshift
mkdir -p %{buildroot}%{_bindir}

%if %{with_systemd}
install -m 644 systemd/stickshift-proxy.service %{buildroot}%{_unitdir}
install -m 644 systemd/stickshift-proxy.env %{buildroot}%{_sysconfdir}/sysconfig/stickshift-proxy
%else
install -m 755 init-scripts/stickshift-proxy %{buildroot}%{_initddir}
%endif
install -m 644 config/stickshift-proxy.cfg %{buildroot}%{_sysconfdir}/stickshift/
install -m 755 bin/stickshift-proxy-cfg %{buildroot}%{_bindir}/stickshift-proxy-cfg

%post
/sbin/restorecon /var/lib/stickshift/.stickshift-proxy.d/ || :

%if %{with_systemd}
systemctl --system daemon-reload
%else
/sbin/chkconfig --add stickshift-proxy || :
/sbin/service stickshift-proxy condrestart || :
%endif

%preun
if [ "$1" -eq "0" ]; then
   /sbin/chkconfig --del stickshift-proxy || :
fi

%triggerin -- haproxy
/sbin/service stickshift-proxy condrestart

%files
%if %{with_systemd}
%{_unitdir}/stickshift-proxy.service
%{_sysconfdir}/sysconfig/stickshift-proxy
%else
%{_initddir}/stickshift-proxy
%endif
%{_bindir}/stickshift-proxy-cfg
%dir %attr(0750,-,-) %{_localstatedir}/lib/stickshift/.stickshift-proxy.d
%config(noreplace) %{_sysconfdir}/stickshift/stickshift-proxy.cfg

%changelog
* Wed Sep 12 2012 Adam Miller <admiller@redhat.com> 0.2.3-1
- Updated to latest upstream to incorporate review fixes
- https://github.com/openshift/crankcase/pull/467

* Fri Sep 07 2012 Adam Miller <admiller@redhat.com> 0.2.2-2
- Fixed up the requires section
- removed non-el5 spec file cruft

* Wed Sep 05 2012 Adam Miller <admiller@redhat.com> 0.2.2-1
- First build for Fedora 18
